Skip to main content
`Ctrl`+`K`
scipy.special.

# hermitenorm

scipy.special.hermitenorm(n, monic=False)

  Normalized (probabilist’s) Hermite polynomial.

  Defined by

  \[He_n(x) = (-1)^ne^{x^2/2}\frac{d^n}{dx^n}e^{-x^2/2};\]

  \(He_n\) is a polynomial of degree \(n\).

  Parameters:
    n int

      Degree of the polynomial.

    monic bool, optional

      If True, scale the leading coefficient to be 1. Default is False.

  Returns:
    He orthopoly1d

      Hermite polynomial.

  Notes

  The polynomials \(He_n\) are orthogonal over \((-\infty, \infty)\) with weight function \(e^{-x^2/2}\).